%global pypi_name arpeggio
Name:           python-%{pypi_name}
Version:        1.9.0
Release:        1%{?dist}
Summary:        Packrat parser interpreter

License:        MIT
URL:            https://github.com/igordejanovic/Arpeggio
Source0:        %url/archive/v%{version}/Arpeggio-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Arpeggio is a recursive descent parser with memoization based on PEG grammars
(aka Packrat parser).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Arpeggio is a recursive descent parser with memoization based on PEG grammars
(aka Packrat parser).


%prep
%autosetup -n Arpeggio-%{version}


%build
%py3_build


%install
%py3_install

%check
%{__python3} -m pytest -v tests/unit


%files -n python3-%{pypi_name}
%doc README.rst AUTHORS.md CHANGELOG THANKS
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/Arpeggio-%{version}-py?.?.egg-info


%changelog
* Mon Jul 30 2018 Miro Hrončok <mhroncok@redhat.com> - 1.9.0-1
- Initial package
